Technical Requirements

Supported browsers

To provide the cutting-edge functionality requested by our users, to make our applications accessible for the vision impaired, and to most effectively leverage our resources, the teaching and learning tools target a range of modern browsers, which are used by the vast majority of our clients. We test Catalyst Web Tools, Canvas, Tegrity, SpaceScout on these browsers to ensure availability and accessibility of tools and content.

For the optimal experience with the Catalyst Web Tools, we recommend using the current or immediately previous version of the following Web browsers:

We do not support beta versions of the above browsers. Other modern, standards-compliant browsers, such as Opera, Chrome, or Iceweasel, should also function well, though we do not systematically test our applications with these browsers.

Non-supported browsers

There are over 10,000 browser brands and versions, and this number is growing. Outdated and non-standards-compliant browsers comprise the vast majority of these browsers. A great deal of engineering resources would be required to ensure that all the teaching and learning tools work well with this software, so while we do not explicitly block all of them, we cannot guarantee complete availability and accessibility of tools and content. The teaching and learning tools team is unable to support browser versions more than one version below the current one. For optimum performance, download a recent version of your preferred browser, or contact your technical support staff and request that your browser software be updated.

Last modified: January 10, 2014